NetRoute (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetRoute

    java.lang.Object
      org.hyperic.sigar.NetRoute

All Implemented Interfaces:
  java.io.Serializable

    public class NetRoute

extends java.lang.Object
implements java.io.Serializable

NetRoute sigar class.

See Also:
  Serialized Form

Constructor Summary
`NetRoute()`

Method Summary
`void` | `gather(Sigar sigar)`
`java.lang.String` | `getDestination()` Get the destination.
`long` | `getFlags()` Get the flags.
`java.lang.String` | `getGateway()` Get the gateway.
`java.lang.String` | `getIfname()` Get the ifname.
`long` | `getIrtt()` Get the irtt.
`java.lang.String` | `getMask()` Get the mask.
`long` | `getMetric()` Get the metric.
`long` | `getMtu()` Get the mtu.
`long` | `getRefcnt()` Get the refcnt.
`long` | `getUse()` Get the use.
`long` | `getWindow()` Get the window.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetRoute

    public NetRoute()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getDestination

    public java.lang.String getDestination()

  Get the destination.

  Supported Platforms: HPUX, Linux, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    destination

### getGateway

    public java.lang.String getGateway()

  Get the gateway.

  Supported Platforms: HPUX, Linux, Win32.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    gateway

### getFlags

    public long getFlags()

  Get the flags.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    flags

### getRefcnt

    public long getRefcnt()

  Get the refcnt.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    refcnt

### getUse

    public long getUse()

  Get the use.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    use

### getMetric

    public long getMetric()

  Get the metric.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    metric

### getMask

    public java.lang.String getMask()

  Get the mask.

  Supported Platforms: HPUX, Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    mask

### getMtu

    public long getMtu()

  Get the mtu.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    mtu

### getWindow

    public long getWindow()

  Get the window.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    window

### getIrtt

    public long getIrtt()

  Get the irtt.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    irtt

### getIfname

    public java.lang.String getIfname()

  Get the ifname.

  Supported Platforms: Linux.

  System equivalent commands:

  - AIX: ``
  - Darwin: ``
  - FreeBSD: ``
  - HPUX: ``
  - Linux: `route -n`
  - Solaris: ``
  - Win32: ``

  Returns:
    ifname

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.